]> git.decadent.org.uk Git - dak.git/blobdiff - config/debian/cron.unchecked
Loadsa changes to make new cronscript way work
[dak.git] / config / debian / cron.unchecked
index 166579db582271a8a9e6a0eb2af1829ab5e78011..916d4e5dd3d1f1b7734744a95449ded84cb3bd46 100755 (executable)
 
 # exit on errors
 set -e
+set -o pipefail
 # make sure to only use defined variables
 set -u
+# ERR traps should be inherited from functions too. (And command
+# substitutions and subshells and whatnot, but for us the functions is
+# the important part here)
+set -E
 
 # import the general variable set.
-export SCRIPTVARS=/srv/ftp.debian.org/dak/config/debian/vars
+export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
 . $SCRIPTVARS
 
 LOCKDAILY=""
 LOCKFILE="$lockdir/unchecked.lock"
-LOCK_NEW="$lockdir/processnew.lock"
 NOTICE="$lockdir/daily.lock"
+LOCK_BUILDD="$lockdir/buildd.lock"
 
 # our name
 PROGRAM="unchecked"
@@ -55,19 +60,8 @@ cleanup() {
 function do_buildd () {
     if lockfile -r3 $NOTICE; then
         LOCKDAILY="YES"
-        psql projectb -A -t -q -c "SELECT filename FROM queue_build WHERE queue = 0 AND suite = 5 AND in_queue = true AND filename ~ 'd(sc|eb)$'" > $dbdir/dists/unstable_accepted.list
-        cd $overridedir
-        dak make-overrides &>/dev/null
-        rm -f override.sid.all3 override.sid.all3.src
-        for i in main contrib non-free main.debian-installer; do
-            cat override.sid.$i >> override.sid.all3
-            if [ "$i" != "main.debian-installer" ]; then
-                cat override.sid.$i.src >> override.sid.all3.src
-            fi
-        done
         make_buildd_dir
-
-        . $configdir/cron.buildd
+        wbtrigger
     fi
 }
 
@@ -75,17 +69,34 @@ function do_buildd () {
 # the actual unchecked functions follow                                #
 ########################################################################
 
-lockfile -r3 "$LOCK_NEW"
-acceptnew
-rm -f "$LOCK_NEW"
+# And use one locale, no matter what the caller has set
+export LANG=C
+export LC_ALL=C
 
 # only run one cron.unchecked
-lockfile -r3 $LOCKFILE || exit 0
+if ! lockfile -r8 $LOCKFILE 2> /dev/null; then
+    # echo "aborting cron.unchecked because $LOCKFILE has already been locked"
+    exit 0
+fi
 trap cleanup 0
 
+
+pg_timestamp preunchecked >/dev/null
+
+# Process policy queues
+punew stable-new
+opunew oldstable-new
+backports_policy
+dak clean-suites -a backports-policy,policy
+
+# Finally deal with unchecked
 do_unchecked
 
 if [ ! -z "$changes" ]; then
     sync_debbugs
     do_buildd
 fi
+
+dak contents -l 10000 scan-binary
+dak contents -l 1000 scan-source
+pg_timestamp postunchecked >/dev/null